dpkg-split(1)

NAZWA
dpkg-split - narzędzie dzielenia/łączenia pakietów Debiana

SKŁADNIA
dpkg-split [option...] command

OPIS
dpkg-split dzieli pakiety binarne Debiana na mniejsze części oraz scala je z powrotem, tak że możliwe jest przechowanie większych pakietów na małych nośnikach, takich jak dyskietki. Program wywołuje się ręcznie, wraz z opcją --split, --join lub --info. Możliwe jest także wywołanie automatyczne, przez użycie opcji --auto. Wtedy to tworzona jest kolejka części pakietu, a gdy wszystkie części będą dostępne, cały pakiet zostanie odtworzony. Opcje --listq i --discard pozwalają na zarządzanie kolejką. Wszystkie działania, takie jak rozdzielanie, łączenie, czy kolejkowanie, powodują wyświetlenie informacji na standardowe wyjście. Informacje te można zignorować.

POLECENIA

-s, --split kompletne-archiwum [przedrostek]
    Rozdzielenie pojedynczego pakietu binarnego na poszczególne części. Części mają nazwę przyrostek.NofM.deb gdzie N jest numerem części, rozpoczynając od 1, a M jest liczbą wszystkich części (dziesiętnie). Jeśli nie podano przedrostka, to użyta jest nazwa pliku pełnego-archiwum, wraz z katalogiem, gdy jest określony. Ponadto usunięta jest końcówka .deb.

-j, --join part...
    Łączenie części pakietu i odtworzenie oryginalnego pliku sprzed dzielenia. Pliki podane jako argumenty muszą być częściami tego samego oryginalnego pakietu. Każda część musi pojawić się raz na liście argumentów, ale nie jest konieczne zachowanie właściwej kolejności. Części muszą być wygenerowane z użyciem tego samego rozmiaru, co oznacza, że muszą to być te same części utworzone za pomocą polecenia dpkg-split --split. Nazwy plików części nie mają znaczenia dla procesu odtworzenia pakietu. By default the output file is called package_version_arch.deb.

-I, --info part...
    Wyświetlanie informacji, podanych w formacie czytelnym dla człowieka, o częściach pakietu. Argumenty, które nie są częścią pakietu, powodują wyświetlenie informacji o tym fakcie na standardowym wyjściu.

-a, --auto -o pełne-archiwum część
    Automatyczne kolejkowanie części i odtworzenie pakietu, gdy to jest możliwe. Podana część zostaje sprawdzona i porównana z innymi częściami tego samego pakietu, które znajdują się w kolejce. Jeśli wszystkie części pakietu są już dostępne, pakiet jest odtwarzany i zapisywany do pełnego-archiwum. Jeśli jeszcze nie ma wszystkich części, podana część jest kopiowana do kolejki i pełne-archiwum nie jest odtwarzane. If part is not a split binary package part then dpkg-split will exit with status 1; if some other trouble occurs then it will exit with status 2. Opcja --output lub -o musi zostać podana w przypadku użycia --auto. (W przeciwnym razie program nie wiedziałby, jakiego spodziewać się pliku wyjściowego.)

-l, --listq
    Listowanie zawartości kolejki części pakietu do odtworzenia. Dla każdego pliku części pakietu wyświetlana jest nazwa pakietu, część w kolejce, całkowita liczba bajtów przechowywanych w kolejce.

-d, --discard [pakiet...]
    Usuwa części pakietu z kolejki. Jeśli nie podano nazwy pakietu, czyszczona jest cała kolejka. Gdy nazwa jest podana, usuwane są tylko części podanego pakietu.

-h, --help
    Wyświetla informację o użytkowaniu i kończy działanie.

--version
    Wyświetla informację o wersji i pomyślnie kończy działanie.

OPCJE

--depotdir katalog
    Określenie alternatywnego katalogu dla kolejki części pakietów do zrekonstruowania. Domyślnym jest /var/lib/dpkg.

-S, --partsize kibibajty
    Określenie maksymalnego rozmiaru części pakietu w kibibajtach (KiB, 1024 bajtów). Wartością domyślną jest 450 KiB.

-o, --output pełne-archiwum
    Określenie nazwy pliku pełnego archiwum. Ta opcja nadpisuje domyślną nazwę przy odtwarzaniu pakietu (--join) oraz jest wymagana przy automatycznym odtwarzaniu pakietu (--auto).

-Q, --npquiet
    Gdy wykonywane jest automatyczne łączenie części pakietu, dpkg-split zwykle wyświetla informacje o błędzie, gdy dany plik części nie jest częścią pakietu. Ta opcja zapobiega wyświetlaniu nadmiernej ilości informacji przez programy takie jak dpkg.

--msdos
    Pliki generowane przez --split są zapisywane w formacie odczytywanym przez MSDOS. Zmieniany jest przedrostek, zarówno ten domyślny jak i ten podany w argumencie: litery są zamieniane na małe, znak plusa zamieniany jest na x, a pozostałe znaki są pomijane. Powstały przedrostek jest ucinany do niezbędnego rozmiaru. Powstała nazwa ma postać przedrostekNofM.deb..

KOD WYJŚCIA

0   The requested split, merge, or other command succeeded. --info commands count as successful even if the files are not binary package parts.

1   Only occurs with --auto and indicates that the part file was not a binary package part.

2   Some kind of trouble happened, such as a system call failure, a file that looked like a package part file but was corrupted, a usage error or some other problem.

BŁĘDY
Pobranie pełnej informacji o pakietach w kolejce jest niemożliwe, bez przeszukania katalogu kolejki. Nie ma prostego testu na sprawdzenie, czy dany plik jest na pewno częścią pakietu.

PLIKI

/var/lib/dpkg/parts
    Domyślny katalog kolejki części pakietów czekających na automatyczne odtworzenie. Nazwy plików w tym katalogu są wewnętrznie utworzone przez dpkg-split i nie są użyteczne dla innych programów.

ZOBACZ TAKŻE
deb(5), deb-control(5), dpkg-deb(1), dpkg(1).

TŁUMACZE
Piotr Roszatycki <dexter@debian.org>, 1999
Bartosz Feński <fenio@debian.org>, 2004-2005
Robert Luberda <robert@debian.org>, 2006-2008
Wiktor Wandachowicz <siryes@gmail.com>, 2008